package cn.com.qmth.examcloud.core.questions.service.bean.dto;

import cn.com.qmth.examcloud.core.questions.base.enums.ExportWay;

import java.io.Serializable;
import java.util.List;

/**
 * @author chenken
 * @date 2017年7月15日 下午1:52:52
 * @company QMTH
 * @description ExportPaperInfoModel.java
 */
public class ExportPaperInfoModel implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = -8364161638270123652L;

    /**
     * 考试ID
     */
    private String examId;
    /**
     * 课程ID
     */
    private String courseId;

    /**
     * BATCH:批量导出
     * SINGLE:单个课程导出
     */
    private ExportWay exportWay;

    /**
     * 详见枚举类：ExamFileType
     * PAPER
     * ANSWER
     * PAPER_STRUCTURE_SUBJECTIVE
     * PAPER_STRUCTURE_OBJECTIVE
     * AUDIO
     * ENCRYPT_PACKAGE
     */
    private List<String> exportContentList;

    public String getExamId() {
        return examId;
    }

    public void setExamId(String examId) {
        this.examId = examId;
    }

    public List<String> getExportContentList() {
        return exportContentList;
    }

    public void setExportContentList(List<String> exportContentList) {
        this.exportContentList = exportContentList;
    }

    public String getCourseId() {
        return courseId;
    }

    public void setCourseId(String courseId) {
        this.courseId = courseId;
    }

    public ExportWay getExportWay() {
        return exportWay;
    }

    public void setExportWay(ExportWay exportWay) {
        this.exportWay = exportWay;
    }

}

